function  [cImApprox,nCoeff,execTime,mImResized] = ImApproxGrey(mIm,bR,bC,method,mDictC,...
    mDictR,maxIntensity,PSNR)

% Approximates each block to a tolerance of at least tol in cIm using the 
% seperable dictionary and the method.  This will result in an image with a
% greater global PSNR than PSNRIn.
  

% Block the image
    [cIm mImResized] = BlockMImage(mIm,bR,bC,0);

% Cell image dimensions
    nPlains = size(cIm,3);
    
% Only perform basic validation
    if nPlains ~= 1
        error('%s: Supplied image has %i plains, should be grey level\n');
    end
    
% Call block approx to apply method to each block in the image and return cells 
% containing the result for each block
    [cImApprox,nCoeff,execTime] = BlockApproxSep(cIm,method,mDictC,...
        mDictR,maxIntensity,PSNR);