function [mApprox,vIColumn,vIRow,vCoeff,zeroBlock,nIter] = ...
    SPMP2DW_M(mImage,...
    mColumnDict,mRowDict,tol,varargin)

% Wrapper around SPMP2D to return the expected output when zero blocks are
% encountered.

% Check for zero block
%   Considered zero if the norm is already less than tol.
% < < - - #
zeroBlock = ZeroIntensity(mImage,tol);

if zeroBlock
    
    mApprox = zeros(size(mImage));
    % Will produce undefined results if constant atom is not included in
    % the dictionary. - should be set to -1
    vIColumn = -1;
    vIRow = -1;
    vCoeff = 0;
    nIter = 0;

else
                
    % Execute the target function
    % < < - - #
        [mApprox,vIColumn,vIRow,vCoeff]=SPMP2D(mImage,...
            mColumnDict,mRowDict,tol,varargin{:});         
    % - - > > #
   
    
end

% Check vCoeff is not empty
% < < - - #
    if numel(vCoeff) == 0
        error('Zero coefficients returned');
    end
% - - > > #

nIter = 0;