function [cImage mImageResized] = BlockMImage(mImage,blockHeight,...
    blockWidth,force)

% Splits a matrix into cells of nRowsxnColumns

if nargin < 3
    blockWidth = blockHeight;
end

% Check if it can be split exactly into these dimensions
    [mImageResized resize] = CheckBlocking(mImage,blockHeight,blockWidth,force);
    
if resize
    
    error('Image cannot be blocked unless it is resized!!');
    
else

    nRowBlocks =floor(size(mImage,1)/blockHeight);
    nColumnBlocks =floor(size(mImage,2)/blockWidth);

    % Split the image into cells
        nPlains = size(mImageResized,3);
        if nPlains == 1
            cImage = mat2cell(mImageResized, blockHeight*ones(1, nRowBlocks), ...
                blockWidth*ones(1, nColumnBlocks));
        elseif nPlains == 3 
            % Quicker to use Mat2Cell for fixed size cells       
            cImage = Mat2Cell(mImageResized,blockHeight,blockWidth);      

        end
    
end

