function [mImage resize] = CheckBlocking(mImage, blockHeight, blockWidth, force)

% Check RGB image
% <<--
% if ~strcmp(sImageRGB.colourType, 'truecolor')
% 
%     error('Supplied image should be RGB!');
%     
% end
% -->>
if nargin < 3
    blockWidth = blockHeight;
    force = 1;
end

[y x z] = size(mImage);
resize = 0;
if mod(y,blockHeight) || mod(x,blockWidth);
    
    fprintf('A %ix%i image cannot be split exactly into blocks of %i x %i,\n'...
        ,y,x,blockHeight,blockWidth);
    
    if force
        fprintf('Resizing.........\n');
        nYBlocks = floor(size(mImage,1)/blockHeight);
        nXBlocks = floor(size(mImage,2)/blockWidth);
        newY = nYBlocks*blockWidth;
        newX = nXBlocks*blockWidth;
        if newY == 0 || newX == 0
            error('Image is too small to be split into square blocks!!!!');
        end
        mImage=mImage(1:newY,1:newX,:);
        fprintf('New image is  %ix%i pixels.\n',newY,newX);
    else
        fprintf('Set force to true to resize\n');
        resize = 1;
    end
    
end