function mImGrey = Image2Grey(mIm,colourType,map)

if strcmp(colourType, 'grayscale')
    
    mImGrey = mIm;
    
elseif strcmp(colourType, 'truecolor')
        
    mImGrey = rgb2gray(mIm);
        
elseif strcmp(sImage.colourType, 'indexed')
    
    if nargin < 3
        error('Colour map is required for indexed images\n');
    end
    
    mImGrey = ind2gray(mIm,map);
        
else
        
    error('%s: Supplied colour type not recognised!',mfilename);        
    
end