function mDict = DictRDBS(szBlock)

% redundancy 2 cosine dictionary
mRDC = NormDict(DCos(szBlock, szBlock*2, 2));

% euclidean basis (Y_{2}^{2})
mEuclid = eye(szBlock);

% Y_{2}^{3}
vHat3 = GenerateTrapezium(3, 1);
mHat3 = NormDict(TranslatePrototype(vHat3, szBlock, 1));

% Y_{2}^{4}
vHat5 = GenerateTrapezium(5, 1);
mHat5 = NormDict(TranslatePrototype(vHat5, szBlock, 1));

% Y_{2}^{5}
vHaar2 = [-0.5 0.5];
mHaar2 = NormDict(TranslatePrototype(vHaar2, szBlock, 0));

% Y_{2}^{6}
vHaar4 = [-0.25 -0.25  0.25 0.25];
mHaar4 = NormDict(TranslatePrototype(vHaar4, szBlock, 0));

% Y_{2}^{7}
vB42 = ProtSp(4,1,2,1);
vB42(1)=[];vB42(end)=[];
mB42 = NormDict(TranslatePrototype(vB42, szBlock, 1));

% Y_{2}^{8}
vDB42 = ProtSp(4,2,2,1);
vDB42(1) = []; vDB42(end) = [];
mDB42 = NormDict(TranslatePrototype(vDB42, szBlock, 1));

% Y_{2}^{9}
vDDB42 = ProtSp(4,3,2,1);
vDDB42 (1) = []; vDDB42 (end) = [];
mDDB42 = NormDict(TranslatePrototype(vDDB42 , szBlock, 1));

mDict = [mRDC mEuclid mHat3 mHat5 mHaar2 mHaar4 mB42 mDB42 mDDB42];