function [mImApprox,PSNR,SSIM,SR,execTime,mImResized] = ImApproxGreyW(imagePath,szBlock,method,useMEX,blockPSNR)

% Wrapper around mImApproxGrey for web example using a fixed dictionary.

% Determin method
    cMethods = {'OMP2DW_M','SPMP2DL1_M','OMP2DW','SPMP2DL1'};
    if useMEX
        if method == 1
            iMethod = 3;
        elseif method == 2
            iMethod = 4;
        else
            error('Incorrect method index: %i',method);
        end
    else
        iMethod = method;
    end
% - - > > #     

% Load the image and convert to grey scale
    [mIm bitDepth colourType map] = LoadMImageW(imagePath);
    % Transpose the image here for use with folding routines - wrong place.
    mIm = double(Image2Grey(mIm,colourType,map))';
    maxIntensity = 2^bitDepth - 1;
% - - > > #   

% Check image can be exactly split into square blocks with size szBlock, if
% not resize the image, this will now be the original.
    mImResized = CheckBlocking(mIm,szBlock); 
% - - > > #  

% Generate the dictionary
    mDict = DictRDBS(szBlock);
% - - > > #  


% Call target approximation routine
    [cImApprox,nCoeff,execTime] = ImApproxGrey(mImResized,szBlock,szBlock,cMethods{iMethod},mDict,...
        mDict,maxIntensity,blockPSNR);
% - - > > #    

mImApprox = cell2mat(cImApprox);

% PSNR of the approximation
    PSNR = CalcPSNR(mImResized,mImApprox,maxIntensity);

% SSIM of the approximation
   % use default values for SSIM
    K = [0.01 0.03];
    window = fspecial('gaussian', 11, 1.5);
    % - - > > 
    SSIM = ssim(mImResized,mImApprox,K,window,maxIntensity);

% SR of the approximation
    SR = numel(mImResized)/nCoeff;
